Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019962
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2012-03-06 16:242012-04-21 14:24
ReporterdalsasuaView Statuspublic 
Assigned Tonaiaramartinez 
PriorityurgentResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revision417b0f7dc617
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6.0_21
OS VersionUbuntu 10.10Database version11.2.0 SEAnt version1.8.0
Product Version3.0MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019962: A Financial Account can be created for an organization with not allowed transactions

DescriptionA Financial Account can be created for an organization with not allowed transactions
Steps To ReproduceGo to Financial Account window
Create new one
Check the content of the organization field combo
Choose "F&B International Group" org (that can be selected, and this is wrong)
Fill in name, etc
Save
Create a new transaction with G/L Item, process and post it
An error is shown
Proposed Solution--- a/src-db/database/sourcedata/AD_WINDOW.xml
+++ b/src-db/database/sourcedata/AD_WINDOW.xml
@@ -2830,7 +2830,7 @@
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <AD_ORG_ID><![CDATA[0]]></AD_ORG_ID>
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <ISACTIVE><![CDATA[Y]]></ISACTIVE>
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <NAME><![CDATA[Financial Account]]></NAME>
-<!--94EAA455D2644E04AB25D93BE5157B6D--> <WINDOWTYPE><![CDATA[M]]></WINDOWTYPE>
+<!--94EAA455D2644E04AB25D93BE5157B6D--> <WINDOWTYPE><![CDATA[T]]></WINDOWTYPE>
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <ISSOTRX><![CDATA[Y]]></ISSOTRX>
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <PROCESSING><![CDATA[N]]></PROCESSING>
 <!--94EAA455D2644E04AB25D93BE5157B6D--> <ISDEFAULT><![CDATA[N]]></ISDEFAULT>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047413)
naiaramartinez (developer)
2012-04-10 10:55

Test Plan:
   Go to Financial Acount and check organization field combo.
   You can see that only organizations with allowed transactions are shown.
(0047751)
hgbot (developer)
2012-04-19 13:48

Repository: erp/devel/pi
Changeset: 417b0f7dc6170cfed729736a2dcdd956465be941
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Fri Apr 13 09:57:15 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/417b0f7dc6170cfed729736a2dcdd956465be941 [^]

fixed bug 19962 Financial account for organizations with allowed transactions
In the organization field combo are shown only organizations with allowed
transactions.

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0047752)
vmromanos (developer)
2012-04-19 13:48

Code review + testing OK
(0047844)
hudsonbot (developer)
2012-04-21 14:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2eb57286c1fc [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-03-06 16:24 dalsasua New Issue
2012-03-06 16:24 dalsasua Assigned To => alostale
2012-03-06 16:24 dalsasua Modules => Core
2012-03-06 16:24 dalsasua Assigned To alostale => vmromanos
2012-03-22 11:58 dalsasua Issue Monitored: gregor1com
2012-04-10 10:47 naiaramartinez Assigned To vmromanos => naiaramartinez
2012-04-10 10:48 naiaramartinez Status new => scheduled
2012-04-10 10:48 naiaramartinez fix_in_branch => pi
2012-04-10 10:55 naiaramartinez Note Added: 0047413
2012-04-19 13:48 hgbot Checkin
2012-04-19 13:48 hgbot Note Added: 0047751
2012-04-19 13:48 hgbot Status scheduled => resolved
2012-04-19 13:48 hgbot Resolution open => fixed
2012-04-19 13:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/417b0f7dc6170cfed729736a2dcdd956465be941 [^]
2012-04-19 13:48 vmromanos Note Added: 0047752
2012-04-19 13:48 vmromanos Status resolved => closed
2012-04-19 13:48 vmromanos Fixed in Version => 3.0MP11
2012-04-21 14:24 hudsonbot Checkin
2012-04-21 14:24 hudsonbot Note Added: 0047844


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker